Bug 491454 - lynis uses bad passwd option
lynis uses bad passwd option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lynis (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 04:43 EDT by Mohammed Arafa
Modified: 2009-07-03 15:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.6-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 07:43:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2009-03-21 04:43:32 EDT
Description of problem:
running lynis as a cronjob with the following syntax:
lynis -c -q -Q

produces this result as part of the output:
passwd: bad argument --all: unknown option


Version-Release number of selected component (if applicable):
lynis 1.2.1

How reproducible:
everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rakesh Pandit 2009-05-24 06:01:08 EDT
I will update to 1.2.6 which solves this problem:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1374142

May you check the rpm from this build. Meantime I will push update for testing.
Comment 2 Fedora Update System 2009-05-24 06:08:33 EDT
lynis-1.2.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lynis-1.2.6-1.fc10
Comment 3 Fedora Update System 2009-05-25 17:15:32 EDT
lynis-1.2.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lynis'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5408
Comment 4 Fedora Update System 2009-06-08 08:07:36 EDT
lynis-1.2.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lynis-1.2.6-2.fc10
Comment 5 Fedora Update System 2009-07-03 15:39:48 EDT
lynis-1.2.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.